Problem on start ShoutCast after upgrade

Installing and maintaining the FreeBSD Ports Collection or FreeBSD Packages (i.e. third party software).

Problem on start ShoutCast after upgrade

Postby Gerardo » 01 Dec 2009, 00:30

shoutcast to start pulling me this error

/libexec/ld-elf.so.1: / usr/lib/libpthread.so.1: version LIBTHREAD_1_0 required by / usr / local / sbin / sc_serv not found

worked fine when I had the version 7.2 and since version 8 upgrade to wing I have the problem.
ports rebuild.
Gerardo
Junior Member
 
Posts: 15
Joined: 20 Feb 2009, 01:11

Postby Gerardo » 02 Dec 2009, 23:57

none?
Gerardo
Junior Member
 
Posts: 15
Joined: 20 Feb 2009, 01:11

Postby Voltar » 03 Dec 2009, 00:13

Are you using the FreeBSD or Linux binary?

If you're using the FreeBSD binary, do you have the compat4/5 ports installed? They only compile it on 4.11/5.3 last I checked.

Personally I've never had luck with the native FreeBSD binary, I've always resorted to using the Linux binary and I've never had issues (don't really run a streaming station anymore though).
...
Voltar
Member
 
Posts: 191
Joined: 23 Dec 2008, 18:26
Location: Bakersfield, California, US

Postby filipec » 16 Dec 2009, 12:52

Hello,

i got the same problem here, and fixed with the linux version of shoutcast and linux_base.tbz.

Hope it works for you too.
filipec
Junior Member
 
Posts: 1
Joined: 29 Jul 2009, 08:27

Postby scaturan » 01 Oct 2010, 01:22

I encountered the same issue on FreeBSD 8.1 - installed /usr/ports/misc/compat4x/ and downloaded sc_serv (FreeBSD 4 build from http://www.shoutcast.com/broadcast-tools) and worked. I couldn't get /usr/ports/misc/compat5x/ to work with sc_serv (FreeBSD 5 build)
scaturan
Junior Member
 
Posts: 1
Joined: 01 Oct 2010, 01:19


Return to Installation and Maintenance of FreeBSD Ports or Packages

Who is online

Users browsing this forum: Bing [Bot], trh411 and 2 guests